wordpress4-6

wordpress-4.6-tosunkaya

Merhaba Tosunkaya.com okurları, bu makalemizde henüz dün yayınlanan, 50 milyondan fazla kullanıcıya sahip WordPress’in 4.6 Pepper güncellemesiyle, birçoğumuzun ve kullanıcıların %90’ında meydana gelen uyarı veya hata mesajını düzelteceğiz. Eğer WP 4.6’ya güncelleme sonrası yönetici panelinizde (wp-admin) üst kısımda herhangi uyarı veya hata mesajı belirmediyle devamını okumanıza pek de gerek yok. Ama sorunun neyden kaynaklandığını merak ediyorsanız hemen devam edin. Okumaya üşenenlere özel amme hizmeti:

Özet olarak PHP Selector’dan sürümü 5.6’ya yükseltmeniz yeterli.

ÇIKAN UYARI VEYA HATA MESAJI:

wordpress-php-surumu-hatasi

Warning: ini_get_all() has been disabled for security reasons in /home/tosunkaya/public_html/wp-includes/load.php on line 1020

Warning: ini_get_all() has been disabled for security reasons in /home/tosunkaya/public_html/wp-includes/load.php on line 1020

Sorunun Kaynağı

WordPress’in 4.6 güncellemesi ile PHP versiyonunu 5.6’ya güncellemesi ve birçoğumuzun halen 5.4 native sürümünü kullanıyor oluşundan kaynaklı uyumsuzluk.

Bu sorunun aşırı kolay, maksimum 3 dakika zamanınızı alacak basit bir çözümü var. Hemen çözüme geçelim.

Sorunun Çözümü

Genel bir kullanıcı olarak cPanel kullanıyor olduğunuzu varsayıyorum.

Eğer cPanel yerine başka bir panel kullanıyorsanız panelinizde PHP Selector yani PHP versiyonu değiştirebileceğiniz bir ayar yeri bulmanız gerekecek. Bulamazsanız hosting yöneticinizle bağlantı kurup “PHP sürümümü nasıl yükseltebilirim?” şeklinde bir soru sorun.

Standart bir cPanel kullanıcı olursak:

cPanel’e giriş yaptıktan sonra biraz aşağı iniyoruz.

wordpress-php-surumu-hatasi2

Burada Select PHP Version veya Türkçe çevrilmişse PHP Versionu Seç veya PHP Selector ismiyle bir bağlantı göreceksiniz. Hemen tıklayın.

Sonrasında ise WordPress’in uyumsuz olduğu 5.4 native sürümü yerine 5.6‘yı seçerek, 2 saniyede yükseltebileceğiz.

wordpress-php-surumu-hatasi3-TOSUNKAYA.COM-

5.6’yı seçip “Set as current”a basmanız yeterli. Küçük bir not: Oradaki Kaydet butonu PHP özelliklerini seçtikten sonra kaydetmeyi sağlıyor, PHP versiyonuyla alakalı değil.

wordpress-php-surumu-hatasi4

Tekrar WordPress panelinize dönün. Herhangi “ini_get_all()” uyarısı veya hata mesajı görmeyeceksiniz.

Sorunu çözdükten sonra büyük oranda bir hızlanma göreceksiniz, WordPress bu sürümde oldukça iyi işler başardı optimizasyon ve performans artırma konusunda. Yardıma ihtiyacınız olursa yorum yapabilirsiniz. İyi bloglar.

  • 5/5
  • 80826 oy
80826 oyX
Çok kötü!KötüFena DeğilİyiMükemmel!
0%0%0%0%0%